## bps 1.0~rc3

=== requirements.txt ===
Django==1.9.4
Pillow==3.3.0
beautifulsoup4==4.5.0
bleach==1.4.3
bs4==0.0.1
django-cas-client==1.2.0
django-cleanup==0.4.2
django-debug-toolbar==1.5
django-sslserver==0.19
html5lib==0.9999999
lxml==3.6.1
psycopg2==2.6.2
requests==2.10.0
six==1.10.0
sqlparse==0.2.0
termcolor==1.1.0
webencodings==0.5

## bps 1.0~rc7

=== debian/changelog ===
bps (1.0~rc7) unstable; urgency=medium

  * Implemented the noop() function which is not present in Django 1.7

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 16 Aug 2016 11:04:25 +0200

bps (1.0~rc6) unstable; urgency=medium

  * Removed stylesheet as it has been moved to Autodidact 1.1
  * Upgraded dependency to Autodidact 1.1
  * Included missing data migration
  * Removed some dependencies because Autodidact already has them
  * Broke logging by request of Joost

 -- Jaap Joris Vens <jj@rtts.eu>  Mon, 08 Aug 2016 17:45:22 +0200

bps (1.0~rc5) unstable; urgency=medium

  * Data migration of the uvt_user application to allow sorting by
    first and last name

 -- Jaap Joris Vens <jj@rtts.eu>  Wed, 03 Aug 2016 13:52:53 +0200

bps (1.0~rc4+nmu1) unstable; urgency=medium

  [ Wessel Dankers ]
  * Fix debconf brown paper bag bug.

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 02 Aug 2016 18:00:23 +0200

bps (1.0~rc3) unstable; urgency=medium

  * Debconf support to customize webserver username

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 02 Aug 2016 16:59:51 +0200

bps (1.0~rc2) unstable; urgency=medium

  * Modified `bps_monitor` to check the current installation

 -- Jaap Joris Vens <jj@rtts.eu>  Mon, 01 Aug 2016 16:17:25 +0200

bps (1.0~rc1) unstable; urgency=medium

  * Added `bps_monitor` to this repository
  * Split `autodidact` and `bps` (with `uvt_user`) into two separate
    repositories
  * Rewrote the uvt_user app and BPS configuration to allow regular
    logins as well as CAS logins

 -- Jaap Joris Vens <jj@rtts.eu>  Thu, 26 May 2016 14:21:25 +0200

=== debian/control ===
Source: bps
Section: web
Priority: extra
Maintainer: Wessel Dankers <wsl@fruit.je>
Build-Depends: debhelper (>= 7), apache2-dev, python3, dh-python, python3-setuptools,
        python3-six,
       	python3-markdown,
       	python3-pil,
        python3-ldap3,
        python3-django,
        python3-django-autodidact (= 1.1),
Standards-Version: 3.9.7

Package: bps
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libjs-jquery, makepasswd,
        python3-six,
        python3-markdown,
        python3-pil,
        python3-ldap3,
        python3-django,
        python3-django-autodidact (= 1.1),
Recommends: apache2 (>= 2.4.10~), libapache2-mod-wsgi-py3, python3-psycopg2, python3-django-casclient
Description: Tilburg University web application for learning statistics
 Best Practices in Statistics (BPS) is a web application for learning
 statistics. Students can learn and practice statistical techniques in
 the form of "Blended Learning": step-by-step digital instructions
 crafted by statistics teachers, tailored to the contents of the
 various statistics courses provided by Tilburg University.

Package: bps-monitor
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-requests, python3-termcolor, python3-bs4
Description: Tilburg University web application for learning statistics
 Best Practices in Statistics (BPS) is a web application for learning
 statistics. Students can learn and practice statistical techniques in
 the form of "Blended Learning": step-by-step digital instructions
 crafted by statistics teachers, tailored to the contents of the
 various statistics courses provided by Tilburg University.
 .
 This package contains the monitor script, useful for integration in
 Nagios.

## bps 1.0.1

=== requirements.txt ===
Django==1.7.7
Pillow==3.3.0
bleach==1.4.3
bs4==0.0.1
django-cas-client==1.2.0
django-cleanup==0.4.2
ldap3==1.4.0
lxml==3.6.1
psycopg2==2.6.2
requests==2.10.0
six==1.10.0
termcolor==1.1.0

## bps 1.0.3~rc2

=== debian/changelog ===
bps (1.0.3~rc2) stable; urgency=medium

  * Updated dependency on Autodidact
  * Fixed bug in login template

 -- Jaap Joris Vens <jj@rtts.eu>  Thu, 06 Oct 2016 13:21:00 +0200

bps (1.0.3~rc1) stable; urgency=medium

  * Removed Autodidact template overrides
    (requires Autodidact >= 1.4.0)
  * Updated dependency on Autodidact
  * Keep better track of version number

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 04 Oct 2016 16:22:26 +0200

bps (1.0.2) unstable; urgency=medium

  * Fixed incorrect dependency on Autodidact

 -- Jaap Joris Vens <jj@rtts.eu>  Wed, 14 Sep 2016 15:59:20 +0200

bps (1.0.1) unstable; urgency=medium

  * Display useful names for non-Uvt users
  * Fixed LDAPException for Uvt users without first names
  * Data-migration to re-populate Uvt user data

 -- Jaap Joris Vens <jj@rtts.eu>  Wed, 07 Sep 2016 14:01:11 +0200

bps (1.0) unstable; urgency=medium

  * Updated dependencies
  * Implemented the noop() function which is not present in Django 1.7
  * Removed stylesheet as it has been moved to Autodidact
  * Broke logging by request of Joost
  * Data migration of the uvt_user application to allow sorting by
    first and last name
  * Debconf support to customize webserver username
  * Modified `bps_monitor` to check the current installation
  * Added `bps_monitor` to this repository
  * Split `autodidact` and `bps` (with `uvt_user`) into two separate
    repositories
  * Rewrote the uvt_user app and BPS configuration to allow regular
    logins as well as CAS logins

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 23 Aug 2016 12:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
        	python3-pil,
         python3-ldap3,
         python3-django,
-        python3-django-autodidact (= 1.1),
+        python3-django-autodidact (>= 1.4.0~rc2),
 Standards-Version: 3.9.7
 
 Package: bps
@@ -19,7 +19,7 @@
         python3-pil,
         python3-ldap3,
         python3-django,
-        python3-django-autodidact (= 1.1),
+        python3-django-autodidact (>= 1.4.0~rc2),
 Recommends: apache2 (>= 2.4.10~), libapache2-mod-wsgi-py3, python3-psycopg2, python3-django-casclient
 Description: Tilburg University web application for learning statistics
  Best Practices in Statistics (BPS) is a web application for learning

## bps 1.0.3

=== debian/changelog ===
bps (1.0.3) unstable; urgency=medium

  * Updated dependency on Autodidact
  * Fixed bug in login template
  * Removed Autodidact template overrides
    (requires Autodidact >= 1.4.0)
  * Keep better track of version number

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 11 Oct 2016 15:16:35 +0200

## bps 1.0.4~rc1

=== requirements.txt ===
# This requirements file specifies the same versions as those that are available in Debian Jessie

Django==1.7.7
psycopg2==2.6.2
Pillow==2.6.1
ldap3==1.4.0
XlsxWriter==0.9.6
django-cleanup==0.4.2
django-cas-client==1.2.0
beautifulsoup4==4.3.2
requests==2.4.3
termcolor==1.1.0

bleach==1.4
html5lib==0.999
sqlparse==0.1.13

## bps 1.0.5~2017.03.10.15.50.38

=== debian/changelog ===
bps (1.0.5~2017.03.10.15.50.38) UNRELEASED; urgency=medium

  * Register a trigger to be notified when autodidact is updated.

 -- Wessel Dankers <wsl@uvt.nl>  Fri, 10 Mar 2017 15:08:16 +0100

bps (1.0.4) stable; urgency=medium

  * Remove Python 2 compatibility
  * Updated uvt_user app to retrieve `emplId`s from LDAP
  * Data migration that retrieves emplId's for all existing users from LDAP
  * Added missing dependencies
  * Added missing fonts from future Django version
  * Change timezone to Europe/Amsterdam
  * Redirect admin login requests to central login page

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 31 Jan 2017 16:04:03 +0100

## bps 1.0.rc8

=== requirements.txt ===
Django==1.9.4
Pillow==3.3.0
beautifulsoup4==4.5.0
bleach==1.4.3
bs4==0.0.1
django-cas-client==1.2.0
django-cleanup==0.4.2
django-debug-toolbar==1.5
django-sslserver==0.19
html5lib==0.9999999
ldap3==1.4.0
lxml==3.6.1
psycopg2==2.6.2
pyasn1==0.1.9
requests==2.10.0
six==1.10.0
sqlparse==0.2.0
termcolor==1.1.0
webencodings==0.5

=== debian/changelog ===
bps (1.0~rc8) unstable; urgency=medium

  * Upgraded dependency on Autodidact

 -- Jaap Joris Vens <jj@rtts.eu>  Tue, 16 Aug 2016 14:29:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
        	python3-pil,
         python3-ldap3,
         python3-django,
-        python3-django-autodidact (>= 1.4.0~rc2),
+        python3-django-autodidact (>= 1.1.1),
 Standards-Version: 3.9.7
 
 Package: bps
@@ -19,7 +19,7 @@
         python3-pil,
         python3-ldap3,
         python3-django,
-        python3-django-autodidact (>= 1.4.0~rc2),
+        python3-django-autodidact (>= 1.1.1),
 Recommends: apache2 (>= 2.4.10~), libapache2-mod-wsgi-py3, python3-psycopg2, python3-django-casclient
 Description: Tilburg University web application for learning statistics
  Best Practices in Statistics (BPS) is a web application for learning
